Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.meta
Interface MetaDataModes

All Known Subinterfaces:
  MetaDataFactory, ValueMapping, ValueMetaData

All Known Implementing Classes:
  AbstractCFMetaDataFactory, AbstractMetaDataFactory, AnnotationPersistenceMappingParser, AnnotationPersistenceMetaDataParser, ClassMapping, ClassMetaData, DelegatingMetaDataFactory, Discriminator, FieldMapping, FieldMetaData, MappingRepository, MappingTool, MetaDataPlusMappingFactory, MetaDataRepository, MetaDataTool, NoneMetaDataFactory, PersistenceMappingFactory, PersistenceMetaDataFactory, QueryMetaData, QueryResultMapping, ReverseMappingTool, ValueMappingImpl, ValueMetaDataImpl, Version

    public interface MetaDataModes

Mode constants used to track the initialization status of metadata. These constants can be used as bit flags.

Since:
  0.4.0
Author:
  Abe White

Field Summary
`static int` | `MODE_ALL`
`static int` | `MODE_ANN_MAPPING`
`static int` | `MODE_MAPPING`
`static int` | `MODE_MAPPING_INIT`
`static int` | `MODE_META`
`static int` | `MODE_NONE`
`static int` | `MODE_QUERY`

Field Detail

### MODE_NONE

    static final int MODE_NONE

See Also:
  Constant Field Values

### MODE_META

    static final int MODE_META

See Also:
  Constant Field Values

### MODE_MAPPING

    static final int MODE_MAPPING

See Also:
  Constant Field Values

### MODE_QUERY

    static final int MODE_QUERY

See Also:
  Constant Field Values

### MODE_MAPPING_INIT

    static final int MODE_MAPPING_INIT

See Also:
  Constant Field Values

### MODE_ANN_MAPPING

    static final int MODE_ANN_MAPPING

See Also:
  Constant Field Values

### MODE_ALL

    static final int MODE_ALL

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.